
Figure - 需求 Requirement #112194
需求 Requirement # 110107 (New): 【Locked需求】总票

需求 Requirement # 110997 (分析&分解中 In Analysis): 【Locked需求】Launcher UI需求

【Locked需求】Launcher UI需求-以太网和wifi共存
2022-09-28 14:51 - 方案组-RD3_CDTS 王浩云

Status: 取消 Canceled Start date: 2022-09-28

Priority: Normal Due date: 2022-09-30

Assignee: CD LC 陶洪普 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

1. 通过配置脚本文件，将MCE中的FSE屏幕相关的以太网配置参入写入，并且用户侧不可更改

2. 以太网与Wifi共存规则：

  a. 支持以太网和WiFi同时连接，在屏幕侧需要展示两种连接状态

  b.  VLAN配置的地址都走以太网

  c. 其余的地址都走WiFi

文档链接如下：https://thundersoft.feishu.cn/docs/doccn80x4252yfuTtqFzwkSqrcf#

Subtasks:

需求 Requirement # 112217: 【Locked需求】Launcher UI需求-以太网和wifi共存 New

需求 Requirement # 114797: 【变更需求】--以太网WiFi New

History

#1 - 2022-09-29 10:05 - CD LC 陶洪普

- Status changed from New to 分析&分解中 In Analysis

- Assignee changed from CD LC-徐玺栋 to 方案组-RD3_CDTS 王浩云

Hi

1. 通过配置脚本文件，将MCE中的FSE屏幕相关的以太网配置参入写入，并且用户侧不可更改

创建了sub 票和Eth确认中

2. 以太网与Wifi共存规则：

a. 支持以太网和WiFi同时连接，在屏幕侧需要展示两种连接状态

具体是什么要求,如果没有是采用原生的?

b. VLAN配置的地址都走以太网

走以太网的都会带vlan, 这个是由应用来指定的.或者按照路由设置来传输.

c. 其余的地址都走WiFi
默认路由是wifi.

#2 - 2022-09-29 10:22 - 方案组-RD3_CDTS 王浩云

CD-LC 陶洪普 wrote:

Hi

1. 通过配置脚本文件，将MCE中的FSE屏幕相关的以太网配置参入写入，并且用户侧不可更改

创建了sub 票和Eth确认中

2. 以太网与Wifi共存规则：

a. 支持以太网和WiFi同时连接，在屏幕侧需要展示两种连接状态

具体是什么要求,如果没有是采用原生的? 

ans; 参考PRD，里面有详述，以太网展示的是移动网络信号，WiFi展示的是WiFi，上层会同步网络状态，有接口同步

b. VLAN配置的地址都走以太网

走以太网的都会带vlan, 这个是由应用来指定的.或者按照路由设置来传输.

c. 其余的地址都走WiFi

默认路由是wifi.

#3 - 2022-09-29 10:23 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD LC 陶洪普

#4 - 2022-09-29 12:00 - CD LC 陶洪普

1. 通过配置脚本文件，将MCE中的FSE屏幕相关的以太网配置参入写入，并且用户侧不可更改

已由Eth组实现．

2. 以太网与Wifi共存规则：

a. 支持以太网和WiFi同时连接，在屏幕侧需要展示两种连接状态

对从以太传输过来的4G/5G信号通过中控接口获取，图标按照UI要求来实现，该部分AF负责，这里不做跟踪．

b. VLAN配置的地址都走以太网

c. 其余的地址都走WiFi

应用中具体指定走以太网，带对应的Vlan．Wifi 网关设置为默认路由．目前已实现．
d. 以太网或vlan子接口使用的静态地址，wifi在申请时规避（规避方式调查）陶洪普调查

e. 以太网与Wifi共存时，调查是否可调整路由表，让以太网包括vlan接口的局域网通讯都走以太网

黄鹏飞调查

#5 - 2022-09-29 12:01 - CD LC 陶洪普

a. 支持以太网和WiFi同时连接，在屏幕侧需要展示两种连接状态

对于Wifi图标是否有更新，确认中

#6 - 2022-09-29 15:03 - CD LC 陶洪普

a. 支持以太网和WiFi同时连接，在屏幕侧需要展示两种连接状态

与王伟 F2F确认, 他们还未开始相关开发, 如果有替换图标, 一起替换.

d. 以太网或vlan子接口使用的静态地址，wifi在申请时规避（规避方式调查）

使用DHCP Decline 拒绝已使用的静态地址,重新要求分配. 该逻辑需要开发. key: DHCP_MESSAGE_TYPE_DECLINE

#7 - 2022-09-29 16:01 - CD LC 陶洪普

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

VX1_MCE_FSE_V2.0_20220930

需要做需求开发, 修改为1030

#8 - 2022-10-12 16:44 - CD LC 陶洪普

开发中

 设计思路:

   使用DHCP的DECLINE报文来拒绝分配的ETH上使用的静态地址, 重新申请新的wlan网的IP地址．

风险：可能发生多次申请不到的情况．如何处理？　// 调查中

#9 - 2022-10-17 13:59 - CD LC 陶洪普

使用DHCP的DECLINE报文来拒绝分配的ETH上使用的静态地址, 重新申请新的wlan网的IP地址．
代码开发中, 计划10/18调试.

#10 - 2022-10-28 00:44 - CD LC 陶洪普

调试失败．

DHCP server在接收到DECLINE信息后，自己重做了检测，检测不到，再次给设备分配了该地址．

讨论新方法中...

#11 - 2023-01-30 21:47 - CD LC 陶洪普

- Status changed from 分析&分解中 In Analysis to 取消 Canceled

更新：Internet 通过Ethernet来通信，Wifi不再需要STA功能，只保留AP功能。

该票中涉及的共存，地址冲突问题已不存在。

在今日的周会上，已说明。申请关闭。
